Thank you for your contribution to AIOS!  
Before submitting the pull request, please **make sure to read and follow requirements below and then you can replace all the texts with your own messages**. This helps improve the efficiency of the review process.

### Remember to update documentation
When adding new features or updating existing functions, please review the documentation to determine if any changes are required. If so, ensure that the documentation is updated accordingly. The source code for the documentation is located at: https://github.com/agiresearch/AIOS/tree/main/docs. Instructions for writing documentation can be found here: https://github.com/agiresearch/AIOS/blob/main/docs/README.md.

### Write informative PR title and classification
Only specific types of PRs will be reviewed. The PR title is prefixed appropriately (i.e., "prefix: description") to indicate the type of change. Please use one of the prefixs as below:
- `feat` Add new features
- `fix`  Fix bugs
- `docs` Modify documents like README, CONTRIBUTE
- `style` Modify code format like space and comma without changing code logic
- `refactor` Refactor code structure without adding new features or fixing new bugs
- `perf` Improve performance or user experience
- `test` Test features, including unit test and integration test
- `chore` Change the build procedure or add dependencies
- `revert` Revert to the previous version

### Wait for the reviews
- After the PR is submitted, the PR will be assigned to a reviewer. Every reviewer will pick up the PRs based on their expertise and availability.
- If no one reviews your PR within a few days, please @-mention one of [dongyuanjushi](https://github.com/dongyuanjushi/), [evison](https://github.com/evison), [BRama10](https://github.com/BRama10), [JHSUYU](https://github.com/JHSUYU), [WujiangXu](https://github.com/WujiangXu), [MingyuJ666](https://github.com/MingyuJ666), [xizhu1022](https://github.com/xizhu1022).
